> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create seller payout charge

> Create an admin-applied charge against a pending seller payout invoice.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /orders/payouts/invoices/charges
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /orders/payouts/invoices/charges:
    parameters: []
    post:
      tags:
        - Payouts
      summary: Create seller payout charge
      description: Create an admin-applied charge against a pending seller payout invoice.
      operationId: create-seller-payout-charge
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SellerPayoutChargeCreate'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      payout_charge:
                        $ref: '#/components/schemas/SellerPayoutCharge'
                    type: object
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    SellerPayoutChargeCreate:
      title: SellerPayoutChargeCreate
      type: object
      required:
        - charge_basis
        - charge_type
        - invoice_number
        - seller_id
      properties:
        charge_basis:
          type: string
          enum:
            - percent
            - fixed
            - percent_plus_fixed
        charge_fixed_amount:
          description: >-
            Required to be greater than 0 when charge_basis is fixed or
            percent_plus_fixed.
          type: number
          default: 0
        charge_percent:
          description: >-
            Required to be greater than 0 when charge_basis is percent or
            percent_plus_fixed.
          type: number
          default: 0
        charge_type:
          type: string
          enum:
            - commission
            - other
        invoice_number:
          description: Pending payout invoice number in the current store.
          type: string
        remarks:
          type: string
          default: ''
        seller_id:
          description: >-
            Seller ID must exist in the marketplace seller cache and match the
            payout invoice.
          type: string
        tax_rate:
          type: number
      x-tags:
        - Payouts
    SellerPayoutCharge:
      title: SellerPayoutCharge
      type: object
      properties:
        base_amount:
          type: number
        charge_amount:
          type: number
        charge_basis:
          type: string
          enum:
            - percent
            - fixed
            - percent_plus_fixed
        charge_fixed_amount:
          type: number
        charge_percent:
          type: number
        charge_type:
          type: string
          enum:
            - commission
            - other
        created_at:
          type: string
          format: date-time
        invoice_number:
          type: string
        modified_at:
          type: string
          format: date-time
        remarks:
          type:
            - string
            - 'null'
        tax_amount:
          type: number
        tax_rate:
          type: number
      x-tags:
        - Payouts
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              success:
                type: boolean
              code:
                type: string
              error:
                type: object
                properties:
                  fieldname:
                    type: array
                    items:
                      type: string
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Not authorized for given operation on the Resource.
              success:
                type: boolean
                default: false
              code:
                type: string
                example: unauthorized
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````